View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 17 posts ] 
Go to page 1, 2  Next

Print view Previous topic   Next topic  
Author Message
Search for:
PostPosted: Sat Jun 09, 2012 12:16 pm 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
*edit 11 June 12 - If you are having trouble with pacman see the Mon Jun 11, 2012 11:03 am post by jams.


I am adding a new front end system. I'm at 6.04 and everything is working well on all my other systems. I have some older video hardware that I do not think will work with 7.x, so I am avoiding that upgrade. Two ways to get a new FE setup, but I can't make progress with either. I think I only need help with either A or B.

A) Where is the 6.04 .iso? The download directory only has the MD5 file. google has failed me as well.

or

B) I installed 6.03 (files are present in the download directory), however I can not get past step one of the upgrade process (yes, I modified pacman.conf to point to 'R6' repos).
Code:
# pacman -Sy linhes-scripts
:: Synchronizing package databases...
 core is up to date
 extra is up to date
linhes-scripts package not found, searching for group...
error: 'linhes-scripts': not found in sync db

In fact when I search for packages (pacman -Ss xxx) it's as if there are none. I can ping linhes.org (or knoppmyth.net) with no issue.

Thanks in advance.
Dave


Last edited by vtdstein95 on Mon Jun 11, 2012 1:33 pm, edited 3 times in total.


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sat Jun 09, 2012 9:55 pm 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 967
Location: Lexington, Ky
Here is the 6.03 to 6.04 upgrade instructions which can be found here
http://linhes.org/projects/linhes/wiki/Upgrade_LinHES

Quote:
From LinHES R6.03.00 or older

WARNING: When doing the upgrade to 6.04 you MUST run the upgrade script from an xterm on the same system.
This is because the script forces open an xterm to monitor the mythbackend log file and then launches mythfrontend
to complete the database restructuring.
If you're upgrading from a version OLDER than LinHES R6.04.00 upgrade to R6.04.00 first and then upgrade to R7.1:

Make a backup
Make sure /etc/pacman.conf points to the R6 repos:
[core]
Server = http://linhes.org/repo/i686/R6/core
[extra]
Server = http://linhes.org/repo/i686/R6/extra
Exit mythfrontend and open an xterm by pressing Alt-X (not from an ssh session)
sudo pacman -Sy linhes-scripts
sudo upgrade_linhes.sh


How you run the scripts is important
Hope that helps


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sun Jun 10, 2012 5:34 am 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Quote:
Here is the 6.03 to 6.04 upgrade instructions which can be found here
http://linhes.org/projects/linhes/wiki/Upgrade_LinHES


Thanks, these are the instructions I am following. It's the downloading of the upgrade scripts that is failing as shown in my original post (does not matter if I run the pacman command local or via ssh). Best I can tell it's as if the R6 repos no longer have any contents.


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sun Jun 10, 2012 9:04 am 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 967
Location: Lexington, Ky
If you click on either of the urls it twill take you to the repository

Quote:


linhes-scripts-1-77-i686.pkg.tar.gz
is listed in core

Try downing it from the website.
cd /tmp
wget http://linhes.org/repo/i686/R6/core/lin ... pkg.tar.gz


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sun Jun 10, 2012 5:19 pm 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Thanks for sticking with me. I feel it must be something simple.

I was able to wget the scripts file and un-tar it. Ran upgrade-linhes.sh and no joy. Looking at upgrade-linhes.sh, I believe it is bombing on the fact that pacman does not see anything. For example 'pacman -Qu' returns nothing. I have updated my pacman.conf per the upgrade instructions and posting it here to see if a different pair of eyes can see a typo or something else I have done wrong. Also, have checked all the pacman logs I can find, all empty. No system messages worth noting either.

Since this is a new system I am building, on a whim I thought what if the install had an error and/or did not copy all the files, so I started over and installed 6.03 again. Same problem.

Any other ideas?

/etc/pacman.conf #Modified to point to R6 repos
Code:
LogFile     = /var/log/pacman.log
NoUpgrade   = etc/passwd etc/group etc/shadow etc/sudoers
NoUpgrade   = etc/fstab etc/raidtab etc/ld.so.conf
NoUpgrade   = etc/rc.conf etc/rc.local
NoUpgrade   = etc/modprobe.conf etc/modules.conf
NoUpgrade   = etc/lilo.conf boot/grub/menu.lst
NoUpgrade   = data/srv/hobbit/etc/bb-hosts
NoUpgrade   = etc/func/minion.conf

HoldPkg     = pacman glibc
CacheDir    = /data/var/cache/pacman/pkg
#XferCommand = /usr/bin/wget --passive-ftp -c -O %o %u

#
# REPOSITORIES
#   - can be defined here or included from another file
#   - pacman will search repositories in the order defined here.
#   - local/custom mirrors can be added here or in separate files
#
[core]
Server = http://linhes.org/repo/i686/R6/core

[extra]
Server = http://linhes.org/repo/i686/R6/extra


########################ARCH DEFAULTS#############
#[core]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

#[extra]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

#[community]
# Add your preferred servers here, they will be used first
#Include = /etc/pacman.d/mirrorlist

# Unstable is disabled by default.  To enable, uncomment the following
# two lines.  You can add preferred servers immediately after the header,
# and they will be used before the default mirrors.
#[unstable]
#Include = /etc/pacman.d/mirrorlist


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sun Jun 10, 2012 7:11 pm 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 967
Location: Lexington, Ky
That could be because pacman doesn't know about that package. I'm not a pacman guru by any means but I would say you need to let pacman need to know that "linhes-scripts-1-77-i686.pkg.tar.gz" exists.

The fact that pacman can not find the file in linhes.org/repo/i686/R6/core doesn't sound right at all.

A thought but something to look at is your /etc/hosts Did you make any changes there when the sight was down?

Try to "ping linhes.org" and make sure that it resolves to 64-201-245-61.paxio.net (64.201.245.61)

Code:
[root@mythtv ~]# ping linhes.org
PING linhes.org (64.201.245.61) 56(84) bytes of data.
64 bytes from 64-201-245-61.paxio.net (64.201.245.61)


Just a thought.


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Sun Jun 10, 2012 7:50 pm 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Ping is no issue, did linhes.org and knoppmyth.net for good measure.
Code:
# ping linhes.org
PING linhes.org (64.201.245.61) 56(84) bytes of data.
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=1 ttl=48 time=85.9 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=2 ttl=48 time=84.6 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=3 ttl=48 time=84.7 ms
^C
--- linhes.org ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2001ms
rtt min/avg/max/mdev = 84.672/85.109/85.903/0.610 ms
[root@btv /]# ping knoppmyth.net
PING knoppmyth.net (64.201.245.61) 56(84) bytes of data.
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=1 ttl=48 time=84.5 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=2 ttl=48 time=87.9 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=3 ttl=48 time=91.0 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=4 ttl=48 time=93.8 ms
^C
--- knoppmyth.net ping statistics ---
4 packets transmitted, 4 received, 0% packet loss, time 3004ms
rtt min/avg/max/mdev = 84.511/89.322/93.829/3.490 ms


It's not only the scripts package. pacman has no knowledge of any packages. For example I used to be able to search for all myth related packages with 'pacman -Ss myth'. This is all I get now.
Code:
[root@btv /]# pacman -Ss myth
[root@btv /]#

I tried this on one of my other systems which is already at 6.04 and I get the exact same thing. I used to get a list of available packages. If I could figure out what is wrong with pacman I think all would be well. I would love for this to be something on my end, but now that I see all my other systems which used to work do the same thing, I am worried it is something on the repo side.

Anyone else with 6.0x able to use pacman? I will attempt to try this from work tomorrow to rule out my home network.


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Mon Jun 11, 2012 8:32 am 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Confirmed I have the same issue from work. Installed 6.03 on a test system, updated pacman.conf to point to R6 repos and pacman does not see the repos. I can ping linhes.org and wget any file straight from the repo web address. All log files I assume are related to pacman are are empty.

Now I have no idea how to proceed with debugging.


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Mon Jun 11, 2012 8:59 am 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
I have a theory which points at the repos. I did a quick compare of the R7 and R6 repos.

core.db and extra.db are missing from the R6 repos.

Who could put these files (appear to be copies of or symlinks to the tar.gz versions) onto the repo server?


Top
 Profile  
 
 Post subject: Re: 6.04 Install woes
PostPosted: Mon Jun 11, 2012 10:07 am 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 967
Location: Lexington, Ky
Good catch that might be then problem. So pacman -Q doesn't list anything either.

I would start a new thread "Files missing from /downloads/R6/ " Ask the admins look into it and please restore the missing files. Hopefully one of them can help.


Top
 Profile  
 
PostPosted: Mon Jun 11, 2012 10:25 am 
Offline
Joined: Fri Sep 19, 2003 7:05 pm
Posts: 5088
Location: Fontana, Ca
For R6, pacman.conf should have the following:

Code:
[core]
Server = http://knoppmyth.net/repo/i686/R6/core

[extra]
Server = http://knoppmyth.net/repo/i686/R6/extra

Please ensure that is the case then,
Code:
sudo pacman -Sy

http://forum.linhes.org/viewtopic.php?f=20&t=22303

_________________
cesman

When the source is open, the possibilities are endless!


Top
 Profile  
 
PostPosted: Mon Jun 11, 2012 10:45 am 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 967
Location: Lexington, Ky
Thank you cesman


Top
 Profile  
 
PostPosted: Mon Jun 11, 2012 12:41 pm 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Thank you cesman. Really appreciate you taking the time to read this.

I have pointed repos to R6, tried knoppmyth.net (and linhes.org) in the pacman.conf

I still get the following from all my R6 systems (pacman was working fine on 4 as of a couple months ago) in two different physical locations with vastly different networks.

Code:
# pacman -Sy linhes-scripts
:: Synchronizing package databases...
 core is up to date
 extra is up to date
linhes-scripts package not found, searching for group...
error: 'linhes-scripts': not found in sync db


pacman finds nothing for searches and does not find packages even when explicitly specified with the full file name.

I can ping knoppmyth.net (as well as linhes.org), and wget any file directly from the R6 repo. Best I can tell it's just pacman that will not work.


Top
 Profile  
 
PostPosted: Mon Jun 11, 2012 1:03 pm 
Offline
Site Admin
Joined: Fri Jun 11, 2004 7:58 am
Posts: 507
Please try again using the linhes.org address.
The knoppmyth address will not work.

If "pacman -Sy linhes-scripts" fails, then try pacman -Syyyyyyyyyy linhes-scripts. The exact number of "y" doesn't matter, just need more then two.

-jm


Top
 Profile  
 
PostPosted: Mon Jun 11, 2012 1:17 pm 
Offline
Joined: Sun Jan 01, 2006 3:26 pm
Posts: 46
Location: Raleigh, NC
Figuring that I had messed around with this new system too much, I did a full re-install of 6.03. After the reboot I did the following:
Code:
[mythtv@mtvtest ~]$ ping knoppmyth.net
PING knoppmyth.net (64.201.245.61) 56(84) bytes of data.
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=1 ttl=47 time=92.5 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=2 ttl=47 time=82.4 ms
64 bytes from 64-201-245-61.paxio.net (64.201.245.61): icmp_seq=3 ttl=47 time=83.8 ms
^C
--- knoppmyth.net ping statistics ---
3 packets transmitted, 3 received, 0% packet loss, time 2002ms
rtt min/avg/max/mdev = 82.499/86.299/92.501/4.435 ms
[mythtv@mtvtest ~]$ sudo nano /etc/pacman.conf # adding R6 to repo lines
[mythtv@mtvtest ~]$ sudo pacman -Ss ssh # testing if pacman can search
core/openssh 5.1p1-5
    A Secure SHell server/client
[mythtv@mtvtest ~]$ sudo pacman -Sy # syncing repos
:: Synchronizing package databases...
 core                       0.4K    4.7M/s 00:00:00 [#####################] 100%
 extra                      0.4K    7.3M/s 00:00:00 [#####################] 100%
[mythtv@mtvtest ~]$ sudo pacman -Ss ssh # testing if pacman can search
[mythtv@mtvtest ~]$
[mythtv@mtvtest ~]$ sudo pacman -Sy linhes-scripts # I know this won't work, but giving it a try anyway
:: Synchronizing package databases...
 core is up to date
 extra is up to date
linhes-scripts package not found, searching for group...
error: 'linhes-scripts': not found in sync db
[mythtv@mtvtest ~]$

As you can see after syncing the repos pacman does not appear to work any longer. I am at a loss.


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 17 posts ] 
Go to page 1, 2  Next



All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 1 guest


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu